package com.hzya.frame.mdm.mdmModuleDbFiledsRule.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 模版数据库字段规则表(MdmModuleDbFiledsRule)实体类
 *
 * @author makejava
 * @since 2024-06-03 08:47:10
 */
public class MdmModuleDbFiledsRuleEntity extends BaseEntity {

  /**  主数据模版ID */
   private String mdmId;
  /**  前端分拣用 */
   private String formName;
  /**  模版数据库id */
   private String dbId;
  /**  模版数据库字段id */
   private String filedId;
  /**  规则名称 */
   private String ruleName;
  /**  规则编码 */
   private String ruleCode;
  /**  规则值 */
   private String ruleValue;
  /**  规则类型1、表单属性 2、控件属性 */
   private String ruleType;
  /**  公司id */
   private String companyId;
    /**  数据类型 1、新增 2、修改 */
    private String dataType;

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    public String getFiledId() {
        return filedId;
    }

    public void setFiledId(String filedId) {
        this.filedId = filedId;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public String getRuleCode() {
        return ruleCode;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public String getRuleValue() {
        return ruleValue;
    }

    public void setRuleValue(String ruleValue) {
        this.ruleValue = ruleValue;
    }

    public String getRuleType() {
        return ruleType;
    }

    public void setRuleType(String ruleType) {
        this.ruleType = ruleType;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}

